org.richfaces.component

## Class UINotifyStack

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.AbstractNotifyStack
      - - org.richfaces.component.UINotifyStack

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      @Generated(value={"RichFaces CDK","4.3.1.Final"})
      public class UINotifyStack
      extends AbstractNotifyStack

  Notifications emited by <rich:notify>, <rich:notifyMessage> and <rich:notifyMessages> are displayed in top-right corner of the screen by default.

  It is <rich:notifyStack> which defines where messages will appear and handles their stacking.

  Stack also provides way how to remove messages from screen - when stack is re-rendered, current notifications are destroyed, freeing place for new notifications.

  Author:
    Bernard Labno, Lukas Fryc

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UINotifyStack.Properties`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UINotifyStack()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.richfaces.component.StackingDirection` | `getDirection()`
    `String` | `getFamily()`
    `org.richfaces.component.StackingMethod` | `getMethod()`
    `org.richfaces.component.CornerPosition` | `getPosition()`
    `void` | `setDirection(org.richfaces.component.StackingDirection direction)`
    `void` | `setMethod(org.richfaces.component.StackingMethod method)`
    `void` | `setPosition(org.richfaces.component.CornerPosition position)`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UINotifyStack

          public UINotifyStack()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Specified by:
        `getFamily` in class `javax.faces.component.UIComponent`

    - #### getDirection

          public org.richfaces.component.StackingDirection getDirection()

      Specified by:
        `getDirection` in class `AbstractNotifyStack`

    - #### setDirection

          public void setDirection(org.richfaces.component.StackingDirection direction)

      Specified by:
        `setDirection` in class `AbstractNotifyStack`

    - #### getMethod

          public org.richfaces.component.StackingMethod getMethod()

      Specified by:
        `getMethod` in class `AbstractNotifyStack`

    - #### setMethod

          public void setMethod(org.richfaces.component.StackingMethod method)

      Specified by:
        `setMethod` in class `AbstractNotifyStack`

    - #### getPosition

          public org.richfaces.component.CornerPosition getPosition()

      Specified by:
        `getPosition` in class `AbstractNotifyStack`

    - #### setPosition

          public void setPosition(org.richfaces.component.CornerPosition position)

      Specified by:
        `setPosition` in class `AbstractNotifyStack`

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.